Loading...
Searching...
No Matches
juce::AudioProcessor::BusesLayout Struct Reference

## Detailed Description

Represents the bus layout state of a plug-in.

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioProcessor.h

## Public Member Functions

auto & | getBuses (bool isInput) const
auto & | getBuses (bool isInput)
int | getNumChannels (bool isInput, int busIndex) const noexcept
| Get the number of channels of a particular bus.
AudioChannelSet & | getChannelSet (bool isInput, int busIndex) noexcept
| Get the channel set of a particular bus.
AudioChannelSet | getChannelSet (bool isInput, int busIndex) const noexcept
| Get the channel set of a particular bus.
AudioChannelSet | getMainInputChannelSet () const noexcept
| Get the input channel layout on the main bus.
AudioChannelSet | getMainOutputChannelSet () const noexcept
| Get the output channel layout on the main bus.
int | getMainInputChannels () const noexcept
| Get the number of input channels on the main bus.
int | getMainOutputChannels () const noexcept
| Get the number of output channels on the main bus.
bool | operator== (const BusesLayout &other) const noexcept
bool | operator!= (const BusesLayout &other) const noexcept

## Public Attributes

Array< AudioChannelSet > | inputBuses
| An array containing the list of input buses that this processor supports.
Array< AudioChannelSet > | outputBuses
| An array containing the list of output buses that this processor supports.

## Member Functions

## getBuses() [1/2]

auto & juce::AudioProcessor::BusesLayout::getBuses | ( | bool | isInput | ) | const

inline

References getBuses().

Referenced by getBuses().

## getBuses() [2/2]

auto & juce::AudioProcessor::BusesLayout::getBuses | ( | bool | isInput | ) |

inline

References getBuses().

Referenced by getBuses().

## getNumChannels()

int juce::AudioProcessor::BusesLayout::getNumChannels | ( | bool | isInput,
|  | int | busIndex ) const

inline noexcept

Get the number of channels of a particular bus.

References juce::isPositiveAndBelow().

Referenced by getMainInputChannels(), and getMainOutputChannels().

## getChannelSet() [1/2]

AudioChannelSet & juce::AudioProcessor::BusesLayout::getChannelSet | ( | bool | isInput,
|  | int | busIndex )

inline noexcept

Get the channel set of a particular bus.

Referenced by getMainInputChannelSet(), and getMainOutputChannelSet().

## getChannelSet() [2/2]

AudioChannelSet juce::AudioProcessor::BusesLayout::getChannelSet | ( | bool | isInput,
|  | int | busIndex ) const

inline noexcept

Get the channel set of a particular bus.

## getMainInputChannelSet()

AudioChannelSet juce::AudioProcessor::BusesLayout::getMainInputChannelSet | ( |  | ) | const

inline noexcept

Get the input channel layout on the main bus.

References getChannelSet().

## getMainOutputChannelSet()

AudioChannelSet juce::AudioProcessor::BusesLayout::getMainOutputChannelSet | ( |  | ) | const

inline noexcept

Get the output channel layout on the main bus.

References getChannelSet().

## getMainInputChannels()

int juce::AudioProcessor::BusesLayout::getMainInputChannels | ( |  | ) | const

inline noexcept

Get the number of input channels on the main bus.

References getNumChannels().

## getMainOutputChannels()

int juce::AudioProcessor::BusesLayout::getMainOutputChannels | ( |  | ) | const

inline noexcept

Get the number of output channels on the main bus.

References getNumChannels().

## operator==()

bool juce::AudioProcessor::BusesLayout::operator== | ( | const BusesLayout & | other | ) | const

inline noexcept

References inputBuses, and outputBuses.

## operator!=()

bool juce::AudioProcessor::BusesLayout::operator!= | ( | const BusesLayout & | other | ) | const

inline noexcept

References inputBuses, and outputBuses.

## Member Data Documentation

## inputBuses

Array<AudioChannelSet> juce::AudioProcessor::BusesLayout::inputBuses

An array containing the list of input buses that this processor supports.

Referenced by operator!=(), and operator==().

## outputBuses

Array<AudioChannelSet> juce::AudioProcessor::BusesLayout::outputBuses

An array containing the list of output buses that this processor supports.

Referenced by operator!=(), and operator==().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited